<?php

namespace App\Http\Controllers;

use App\Models\CareMonth;
use App\Models\Client;
use App\Models\Pro;
use App\Models\SectionTemplate;
use Illuminate\Http\Request;

class PatientController extends Controller
{
    public function dashboard(Request $request, Client $patient )
    {
        $mcpPros = Pro::where('is_enrolled_as_mcp', true)->get();
        return view('app.patient.dashboard', compact('patient'));
    }

    public function carePlan(Request $request, Client $patient )
    {
        return view('app.patient.care-plan', compact('patient'));
    }

    public function medications(Request $request, Client $patient )
    {
        return view('app.patient.medications', compact('patient'));
    }

    public function dxAndFocusAreas(Request $request, Client $patient )
    {
        return view('app.patient.dx-and-focus-areas', compact('patient'));
    }

    public function careTeam(Request $request, Client $patient )
    {
        return view('app.patient.care-team', compact('patient'));
    }

    public function measurements(Request $request, Client $patient )
    {
        return view('app.patient.measurements', compact('patient'));
    }

    public function labsAndStudies(Request $request, Client $patient )
    {
        return view('app.patient.labs-and-studies', compact('patient'));
    }

    public function history(Request $request, Client $patient )
    {
        return view('app.patient.history', compact('patient'));
    }

    public function immunizations(Request $request, Client $patient )
    {
        return view('app.patient.immunizations', compact('patient'));
    }

    public function allergies(Request $request, Client $patient )
    {
        return view('app.patient.allergies', compact('patient'));
    }

    public function notes(Request $request, Client $patient )
    {
        $pros = Pro::all();
        $sectionTemplates = SectionTemplate::all();
        return view('app.patient.notes', compact('patient','pros', 'sectionTemplates'));
    }

    public function flowSheets(Request $request, Client $patient )
    {
        return view('app.patient.flowsheets', compact('patient'));
    }

    public function demographics(Request $request, Client $patient )
    {
        return view('app.patient.demographics', compact('patient'));
    }

    public function account(Request $request, Client $patient )
    {
        return view('app.patient.account', compact('patient'));
    }

    public function careChecklist(Request $request, Client $patient )
    {
        return view('app.patient.care-checklist', compact('patient'));
    }

    public function documents(Request $request, Client $patient )
    {
        return view('app.patient.documents', compact('patient'));
    }

    public function education(Request $request, Client $patient )
    {
        return view('app.patient.education', compact('patient'));
    }

    public function messaging(Request $request, Client $patient )
    {
        return view('app.patient.messaging', compact('patient'));
    }

    public function duplicate(Request $request, Client $patient )
    {
        return view('app.patient.duplicate', compact('patient'));
    }

    public function careMonths(Request $request, Client $patient )
    {
        $careMonths = CareMonth::where('client_id', $patient->id)->get();
        return view('app.patient.care-months', compact('patient', 'careMonths'));
    }
}
