@extends ('layouts.patient')

@section('inner-content')
    <div class="">
        <div class="pt-2">
            <h6 class="my-0 text-secondary d-flex align-items-center">
                <a href="/patients/view/{{ $patient->uid }}/care-months" class="small text-decoration-none mr-3">
                    <i class="fa fa-chevron-left"></i>
                </a>
                <span class="text-dark font-weight-bold">Care Month</span>&nbsp;starting&nbsp;<span class="text-dark font-weight-bold">{{ friendly_date_time($careMonth->start_date, false) }}</span>
                <span class="d-inline-flex align-items-center ml-auto">
                    <span class="mr-3">
                        CM <span class="font-weight-bold text-dark">{{time_in_minsec($careMonth->cm_total_time_in_seconds_by_cm_pro, '0s')}}</span>
                    </span>
                    <span class="mr-3">
                        MCP <span class="font-weight-bold text-dark">{{time_in_minsec($careMonth->cm_total_time_in_seconds_by_mcp, '0s')}}</span>
                    </span>
                    <span class="">
                        Total <span class="font-weight-bold text-dark">{{time_in_minsec($careMonth->cm_total_time_in_seconds, '0s')}}</span>
                    </span>
                </span>
                <span class="mx-4 text-secondary">|</span>
                <span class="d-inline-flex align-items-center">
                    <span class="mr-3">
                        RMM <span class="font-weight-bold text-dark">{{time_in_minsec($careMonth->rm_total_time_in_seconds_by_rmm_pro, '0s')}}</span>
                    </span>
                    <span class="mr-3">
                        RME <span class="font-weight-bold text-dark">{{time_in_minsec($careMonth->rm_total_time_in_seconds_by_rme_pro, '0s')}}</span>
                    </span>
                    <span class="mr-3">
                        MCP <span class="font-weight-bold text-dark">{{time_in_minsec($careMonth->rm_total_time_in_seconds_by_mcp, '0s')}}</span>
                    </span>
                    <span class="">
                        Total <span class="font-weight-bold text-dark">{{time_in_minsec($careMonth->rm_total_time_in_seconds, '0s')}}</span>
                    </span>
                </span>
            </h6>
        </div>

        <hr class="m-negator">

        <?php
        $entries = $careMonth->entries;
        ?>

        <div class="row">
            <div class="col-6">
                <div class="d-flex align-items-center">
                    <h6 class="my-0 text-secondary font-weight-bold text-dark">CM Time Entries</h6>
                    <span class="mx-2 text-secondary">|</span>
                    <div moe>
                        <a start show class="py-0 mb-3">Add</a>
                        <form url="/api/careMonthEntry/createForCm">
                            <input type="hidden" name="careMonthUid" value="{{ $careMonth->uid }}">
                            <div class="mb-2">
                                <input type="text" class="form-control form-control-sm" name="proUid"
                                       value="" placeholder="Pro">
                            </div>
                            <div class="mb-2">
                                <input type="date" class="form-control form-control-sm" name="effectiveDate"
                                       value="" placeholder="Effective Date">
                            </div>
                            <div class="mb-2">
                                <input type="number" min="0" max="9999" class="form-control form-control-sm" name="timeInSeconds"
                                       value="" placeholder="Time in Seconds">
                            </div>
                            <div class="mb-2 d-flex align-items-center">
                                <span>Time Specific:</span>
                                <input type="checkbox" name="isTimeSpecific" class="ml-1">
                            </div>
                            <div class="mb-2">
                                <input type="time" class="form-control form-control-sm" name="startingTime"
                                       value="" placeholder="Starting Time">
                            </div>
                            <div class="mb-2">
                                <input type="time" class="form-control form-control-sm" name="endingTime"
                                       value="" placeholder="Ending Time">
                            </div>
                            <div class="mb-2">
                                <input type="text" class="form-control form-control-sm" name="contentText"
                                       value="" placeholder="Content Text">
                            </div>
                            <div class="mb-2">
                                <input type="text" class="form-control form-control-sm" name="contentDetail"
                                       value="" placeholder="Content Detail">
                            </div>
                            <div class="d-flex align-items-center">
                                <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                            </div>
                        </form>
                    </div>
                </div>
                <table class="table table-striped table-sm table-bordered mt-2 mb-0">
                    <thead>
                    <tr>
                        <th class="px-2 text-secondary border-bottom-0">Effective Date</th>
                        <th class="px-2 text-secondary border-bottom-0">Time</th>
                        <th class="px-2 text-secondary border-bottom-0 w-50">Details</th>
                        <th class="px-2 text-secondary border-bottom-0 delete-column">&nbsp;</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($entries as $entry)
                        @if($entry->cm_or_rm === "CM")
                        <tr>
                            <td class="px-2">
                                <div class="font-weight-bold">{{friendly_date_time($entry->created_at)}}</div>
                                <div class="small text-secondary">Created: {{friendly_date_time($entry->effective_date)}}</div>
                            </td>
                            <td class="px-2">
                                {{time_in_minsec($entry->time_in_seconds)}}
                            </td>
                            <td class="px-2">
                                {{$entry->content_text}}
                            </td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="on-hover-opaque fa fa-trash text-danger"></i></a>
                                    <form url="/api/careMonthEntry/remove" right>
                                        <input type="hidden" name="uid" value="{{ $entry->uid }}">
                                        <p class="small">Are you sure you want to delete this CM entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endif
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="col-6">
                <div class="d-flex align-items-center">
                    <h6 class="my-0 text-secondary font-weight-bold text-dark">RM Time Entries</h6>
                    <span class="mx-2 text-secondary">|</span>
                    <div moe>
                        <a start show class="py-0 mb-3">Add</a>
                        <form url="/api/careMonthEntry/createForRm">
                            <input type="hidden" name="careMonthUid" value="{{ $careMonth->uid }}">
                            <div class="mb-2">
                                <input type="text" class="form-control form-control-sm" name="proUid"
                                       value="" placeholder="Pro">
                            </div>
                            <div class="mb-2">
                                <input type="date" class="form-control form-control-sm" name="effectiveDate"
                                       value="" placeholder="Effective Date">
                            </div>
                            <div class="mb-2">
                                <input type="number" min="0" max="9999" class="form-control form-control-sm" name="timeInSeconds"
                                       value="" placeholder="Time in Seconds">
                            </div>
                            <div class="mb-2 d-flex align-items-center">
                                <span>Time Specific:</span>
                                <input type="checkbox" name="isTimeSpecific" class="ml-1">
                            </div>
                            <div class="mb-2">
                                <input type="time" class="form-control form-control-sm" name="startingTime"
                                       value="" placeholder="Starting Time">
                            </div>
                            <div class="mb-2">
                                <input type="time" class="form-control form-control-sm" name="endingTime"
                                       value="" placeholder="Ending Time">
                            </div>
                            <div class="mb-2">
                                <input type="text" class="form-control form-control-sm" name="contentText"
                                       value="" placeholder="Content Text">
                            </div>
                            <div class="mb-2">
                                <input type="text" class="form-control form-control-sm" name="contentDetail"
                                       value="" placeholder="Content Detail">
                            </div>
                            <div class="d-flex align-items-center">
                                <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                            </div>
                        </form>
                    </div>
                </div>
                <table class="table table-striped table-sm table-bordered mt-2 mb-0">
                    <thead>
                    <tr>
                        <th class="px-2 text-secondary border-bottom-0">Effective Date</th>
                        <th class="px-2 text-secondary border-bottom-0">Time</th>
                        <th class="px-2 text-secondary border-bottom-0 w-50">Details</th>
                        <th class="px-2 text-secondary border-bottom-0 delete-column">&nbsp;</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($entries as $entry)
                        @if($entry->cm_or_rm === "RM")
                            <tr>
                                <td class="px-2">
                                    <div class="font-weight-bold">{{friendly_date_time($entry->created_at)}}</div>
                                    <div class="small text-secondary">Created: {{friendly_date_time($entry->effective_date)}}</div>
                                </td>
                                <td class="px-2">
                                    {{time_in_minsec($entry->time_in_seconds)}}
                                </td>
                                <td class="px-2">
                                    {{$entry->content_text}}
                                </td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="on-hover-opaque fa fa-trash text-danger"></i></a>
                                        <form url="/api/careMonthEntry/remove" right>
                                            <input type="hidden" name="uid" value="{{ $entry->uid }}">
                                            <p class="small">Are you sure you want to delete this RM entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endif
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>

        <hr class="m-negator mt-4 mb-3">

        <?php
        $cmBills = $careMonth->getBillsOfType('CM');
        $activeCMBill = false;
        foreach ($cmBills as $cmBill) {
            if(!$cmBill->is_cancelled && $careMonth->cm_bill_id === $cmBill->id) {
                $activeCMBill = $cmBill;
                break;
            }
        }
        ?>

        <?php
        $rmBills = $careMonth->getBillsOfType('RM');
        $activeRMBill = false;
        foreach ($rmBills as $rmBill) {
            if(!$rmBill->is_cancelled && $careMonth->rm_bill_id === $rmBill->id) {
                $activeRMBill = $rmBill;
                break;
            }
        }
        ?>

        <div class="row">
            <div class="col-6">
                <div class="d-flex align-items-center">
                    <h6 class="my-0 text-secondary font-weight-bold text-dark">CM Bill
                        @if($activeCMBill && !$activeCMBill->is_signed_by_hcp)
                            <span class="small ml-1 text-secondary">(Not yet signed by HCP)</span>
                        @else
                            @if($activeCMBill)
                                <span class="small ml-1 text-secondary">(Signed by HCP)</span>
                            @endif
                        @endif
                    </h6>
                    <span class="mx-2 text-secondary">|</span>
                    @if($activeCMBill === false)
                        <div moe>
                        <a start show class="py-0 mb-3">Generate</a>
                        <form url="/api/careMonth/generateBillForCm">
                            <input type="hidden" name="uid" value="{{ $careMonth->uid }}">
                            <div class="mb-2">
                                <select class="form-control" name="cmCode" value="">
                                    <option value="">-- Select CM Code --</option>
                                    <option value="CM20">CM20</option>
                                    <option value="CM30_HCP">CM30_HCP</option>
                                    <option value="CM60">CM60</option>
                                    <option value="CM90">CM90</option>
                                </select>
                            </div>
                            <div class="d-flex align-items-center">
                                <button class="btn btn-sm btn-primary mr-2" submit>Generate</button>
                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                            </div>
                        </form>
                    </div>
                    @else
                        @if(!$activeCMBill->is_signed_by_hcp)
                        <div moe>
                            <a start show class="py-0 mb-3 text-success">Sign as HCP</a>
                            <form url="/api/bill/signAsHcp">
                                <input type="hidden" name="uid" value="{{ $activeCMBill->uid }}">
                                <p class="small">Sign this CM bill as HCP?</p>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-success mr-2" submit>Sign</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                        <span class="mx-2 text-secondary">|</span>
                        @endif
                        <div moe>
                            <a start show class="py-0 mb-3 text-danger">Cancel</a>
                            <form url="/api/bill/markCancelled">
                                <input type="hidden" name="uid" value="{{ $activeCMBill->uid }}">
                                <p class="small">Are you sure you want to cancel this CM bill?</p>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-danger mr-2" submit>Cancel</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    @endif
                </div>
                @if($activeCMBill !== false)
                    <div class="border bg-light p-2 mt-2">
                        <div class="">
                            Code: <span class="font-weight-bold text-dark">{{ $activeCMBill->code }}</span>
                            <div class="small text-secondary">Created: {{friendly_date_time($entry->effective_date)}}</div>
                        </div>
                        <div class="font-weight-bold text-dark mt-2 mb-1">Transactions</div>
                        @if(1) {{-- check if auther user is hcp pro --}}
                        <div class="d-flex align-items-center">
                            @if($activeCMBill->has_hcp_been_paid)
                                <span class="text-dark">Received HCP Amount: </span>
                                <span class="font-weight-bold text-success ml-2">${{ $activeCMBill->hcp_payment_amount }}</span>
                            @else
                                <span class="text-dark">Expected HCP Amount: </span>
                                <span class="font-weight-bold text-dark ml-2">${{ $activeCMBill->hcp_expected_payment_amount }}</span>
                            @endif
                        </div>
                        @endif
                        @if(1) {{-- check if auther user is cm pro --}}
                        <div class="d-flex align-items-center">
                            @if($activeCMBill->has_cm_been_paid)
                                <span class="text-dark">Received CM Pro Amount: </span>
                                <span class="font-weight-bold text-success ml-2">${{ $activeCMBill->cm_payment_amount }}</span>
                            @else
                                <span class="text-dark">Expected CM Pro Amount: </span>
                                <span class="font-weight-bold text-dark ml-2">${{ $activeCMBill->cm_expected_payment_amount }}</span>
                            @endif
                        </div>
                        @endif
                    </div>
                @endif
            </div>
            <div class="col-6">
                <div class="d-flex align-items-center">
                    <h6 class="my-0 text-secondary font-weight-bold text-dark">RM Bill
                        @if($activeRMBill && !$activeRMBill->is_signed_by_hcp)
                            <span class="small ml-1 text-secondary">(Not yet signed by HCP)</span>
                        @else
                            @if($activeRMBill)
                                <span class="small ml-1 text-secondary">(Signed by HCP)</span>
                            @endif
                        @endif
                    </h6>
                    <span class="mx-2 text-secondary">|</span>
                    @if($activeRMBill === false)
                        <div moe>
                            <a start show class="py-0 mb-3">Generate</a>
                            <form url="/api/careMonth/generateBillForRm">
                                <input type="hidden" name="uid" value="{{ $careMonth->uid }}">
                                <div class="mb-2">
                                    <select class="form-control" name="rmCode" value="">
                                        <option value="">-- Select RM Code --</option>
                                        <option value="RM1">RM1</option>
                                        <option value="RM20">RM20</option>
                                        <option value="RM30">RM30</option>
                                        <option value="RM60">RM60</option>
                                    </select>
                                </div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Generate</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    @else
                        @if(!$activeRMBill->is_signed_by_hcp)
                        <div moe>
                            <a start show class="py-0 mb-3 text-success">Sign as HCP</a>
                            <form url="/api/bill/signAsHcp">
                                <input type="hidden" name="uid" value="{{ $activeRMBill->uid }}">
                                <p class="small">Sign this RM bill as HCP?</p>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-success mr-2" submit>Sign</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                        <span class="mx-2 text-secondary">|</span>
                        @endif
                        <div moe>
                            <a start show class="py-0 mb-3 text-danger">Cancel</a>
                            <form url="/api/bill/markCancelled">
                                <input type="hidden" name="uid" value="{{ $activeRMBill->uid }}">
                                <p class="small">Are you sure you want to cancel this RM bill?</p>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-danger mr-2" submit>Cancel</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    @endif
                </div>
                @if($activeRMBill !== false)
                    <div class="border bg-light p-2 mt-2">
                        <div class="">
                            Code: <span class="font-weight-bold text-dark">{{ $activeRMBill->code }}</span>
                            <div class="small text-secondary">Created: {{friendly_date_time($entry->effective_date)}}</div>
                        </div>
                        <div class="font-weight-bold text-dark mt-2 mb-1">Transactions</div>
                        @if(1) {{-- check if auther user is hcp pro --}}
                        <div class="d-flex align-items-center">
                            @if($activeRMBill->has_hcp_been_paid)
                                <span class="text-dark">Received HCP Amount: </span>
                                <span class="font-weight-bold text-success ml-2">${{ $activeRMBill->hcp_payment_amount }}</span>
                            @else
                                <span class="text-dark">Expected HCP Amount: </span>
                                <span class="font-weight-bold text-dark ml-2">${{ $activeRMBill->hcp_expected_payment_amount }}</span>
                            @endif
                        </div>
                        @endif
                        @if(1) {{-- check if auther user is rmm pro --}}
                        <div class="d-flex align-items-center">
                            @if($activeRMBill->has_rmm_been_paid)
                                <span class="text-dark">Received RMM Pro Amount: </span>
                                <span class="font-weight-bold text-success ml-2">${{ $activeRMBill->rmm_payment_amount }}</span>
                            @else
                                <span class="text-dark">Expected RMM Pro Amount: </span>
                                <span class="font-weight-bold text-dark ml-2">${{ $activeRMBill->rmm_expected_payment_amount }}</span>
                            @endif
                        </div>
                        @endif
                        @if(1) {{-- check if auther user is rme pro --}}
                        <div class="d-flex align-items-center">
                            @if($activeRMBill->has_rme_been_paid)
                                <span class="text-success">Received RME Pro Amount: </span>
                                <span class="font-weight-bold text-dark ml-2">${{ $activeRMBill->rme_payment_amount }}</span>
                            @else
                                <span class="text-dark">Expected RME Pro Amount: </span>
                                <span class="font-weight-bold text-dark ml-2">${{ $activeRMBill->rme_expected_payment_amount }}</span>
                            @endif
                        </div>
                        @endif
                    </div>
                @endif
            </div>
        </div>

    </div>
@endsection
