@extends ('layouts.patient')

<?php $infoLines = json_decode($patient->info_lines);?>
<?php $infoLines = !$infoLines ? [] : $infoLines; ?>

@section('inner-content')
    <div class="">
        <div class="d-flex align-items-center" moe>
            <h4 class="mr-3 mb-3 font-weight-normal">Dx and Focus Areas</h4>
            <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
            <form url="/api/clientInfoLine/create">
                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                <input type="hidden" name="category" value="dx">
                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Title"></div>
                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="ICD" value="" placeholder="ICD"></div>
                <div class="mb-2">
                    <select name="Chronic or Acute" class="form-control form-control-sm pl-1">
                        <option>Chronic or Acute (select one)</option>
                        <option value="Chronic">Chronic</option>
                        <option value="Acute">Acute</option>
                    </select>
                </div>
                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Prognosis" value="" placeholder="Prognosis"></div>
                <div class="mb-2"><textarea type="text" class="form-control form-control-sm" name="Treatment Goal" value="" placeholder="Treatment Goal"></textarea></div>
                <div class="mb-2"><textarea type="text" class="form-control form-control-sm" name="Treatment Plan" value="" placeholder="Treatment Plan"></textarea></div>
                <div class="d-flex align-items-center">
                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                </div>
            </form>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">Title</th>
                <th class="px-2 text-secondary">ICD</th>
                <th class="px-2 text-secondary">Chronic or Acute</th>
                <th class="px-2 text-secondary">Prognosis</th>
                <th class="px-2 text-secondary">Treatment Goal</th>
                <th class="px-2 text-secondary">Treatment Plan</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "dx")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2">{{ $line->contentDetail->{"ICD"} }}</td>
                            <td class="px-2">{{ $line->contentDetail->{"Chronic or Acute"} }}</td>
                            <td class="px-2">{{ $line->contentDetail->{"Prognosis"} }}</td>
                            <td class="px-2">{{ $line->contentDetail->{"Treatment Goal"} }}</td>
                            <td class="px-2">{{ $line->contentDetail->{"Treatment Plan"} }}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>
@endsection
