@extends ('layouts.patient')

<?php $infoLines = json_decode($patient->info_lines);?>
<?php $infoLines = !$infoLines ? [] : $infoLines; ?>

@section('inner-content')
    <div class="">
        <div class="d-flex align-items-center" moe>
            <h4 class="mr-3 mb-3 font-weight-normal">Medical History</h4>
            <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
            <form url="/api/clientInfoLine/create">
                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                <input type="hidden" name="category" value="history_medical">
                <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                <div class="d-flex align-items-center">
                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                </div>
            </form>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">History</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "history_medical")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>

    {{-- history_surgical --}}
    <div class="mt-4">
        <div class="d-flex align-items-center pb-2">
            <h4 class="mr-3 mb-3 font-weight-normal">Surgical History</h4>
            <div moe>
                <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="history_surgical">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">History</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "history_surgical")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>

    {{-- history_family --}}
    <div class="mt-4">
        <div class="d-flex align-items-center pb-2">
            <h4 class="mr-3 mb-3 font-weight-normal">Family History</h4>
            <div moe>
                <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="history_family">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">History</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "history_family")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>

    {{-- history_social --}}
    <div class="mt-4">
        <div class="d-flex align-items-center pb-2">
            <h4 class="mr-3 mb-3 font-weight-normal">Social History</h4>
            <div moe>
                <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="history_social">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">History</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "history_social")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>

    {{-- history_ob_and_preg --}}
    <div class="mt-4">
        <div class="d-flex align-items-center pb-2">
            <h4 class="mr-3 mb-3 font-weight-normal">OB & Pregnancy History</h4>
            <div moe>
                <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="history_ob_and_preg">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">History</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "history_ob_and_preg")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>

    {{-- history_hospitalizations_procedures --}}
    <div class="mt-4">
        <div class="d-flex align-items-center pb-2">
            <h4 class="mr-3 mb-3 font-weight-normal">Hospitalizations / Procedures History</h4>
            <div moe>
                <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="history_hospitalizations_procedures">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">History</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "history_hospitalizations_procedures")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>

    {{-- history_screenings --}}
    <div class="mt-4">
        <div class="d-flex align-items-center pb-2">
            <h4 class="mr-3 mb-3 font-weight-normal">Screenings History</h4>
            <div moe>
                <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="history_screenings">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">History</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "history_screenings")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>

    {{-- history_colonoscopy --}}
    <div class="mt-4">
        <div class="d-flex align-items-center pb-2">
            <h4 class="mr-3 mb-3 font-weight-normal">Colonoscopy History</h4>
            <div moe>
                <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="history_colonoscopy">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">History</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "history_colonoscopy")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>

    {{-- history_mammogram --}}
    <div class="mt-4">
        <div class="d-flex align-items-center pb-2">
            <h4 class="mr-3 mb-3 font-weight-normal">Mammogram History</h4>
            <div moe>
                <a start show class="btn btn-sm btn-primary py-0 mb-3">+ Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="history_mammogram">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                {{--<th class="px-2 text-secondary">Category</th>--}}
                <th class="px-2 text-secondary">History</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $category => $lines)
                @if($category === "history_mammogram")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif
            @endforeach
            </tbody>
        </table>
    </div>

@endsection
